Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Workover Rigs & Crane Permit# 2020-02284, UID# 2878
App. Status: Expired

Valid: 09/07/2020 - 09/10/2020
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2585 (09/04/2020)

Charge Cost Quantity Total
Non-Taxable
added 09/04/2020 11:15 AM

Base fee for drilling rigs and workover rigs. Select additional fees from the schedule based on vehicle size and weight.

$580.00 x 1 $580.00
added 09/04/2020 11:15 AM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $610.00
Payment 09/04/2020$610.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantJared Huffines - 09/04/2020 11:02 AM
ef4e5c76db375322167d137f989dfe19
1a08d2ff6f2f5a77fd152c5a0f2f5765
 
#1 Permit Issuing OfficialRachel Grimm - 09/04/2020 11:18 AM
5964211e08b3d58cae2fd132998d5cf0
03a46d8b53822d3d11ee32025f8045b7
 
Permit has been approved. All signatures have been obtained.